Attribute VB_Name = "ColorMod"
Option Explicit

Type zRGB
    R As Long
    G As Long
    B As Long
End Type

Public Function LongToHTML(ByVal crColor As Long) As String
Dim zColor As zRGB
    zColor = LongToRGB(crColor)
    LongToHTML = "#" & IIf(Len(Hex(zColor.R)) = 1, "0" & Hex(zColor.R), Hex(zColor.R)) & _
    IIf(Len(Hex(zColor.G)) = 1, "0" & Hex(zColor.G), Hex(zColor.G)) & _
    IIf(Len(Hex(zColor.B)) = 1, "0" & Hex(zColor.B), Hex(zColor.B))
End Function


Public Function LongToRGB(ByVal crColor As Long) As zRGB
Const R As Long = 1
Const G As Long = 256
Const B As Long = 65536
    LongToRGB.B = crColor \ B
    crColor = crColor Mod B
    If LongToRGB.B < 0 Then LongToRGB.B = 0
    LongToRGB.G = crColor \ G
    crColor = crColor Mod G
    If LongToRGB.G < 0 Then LongToRGB.G = 0
    LongToRGB.R = crColor \ R
    crColor = crColor Mod R
    If LongToRGB.R < 0 Then LongToRGB.R = 0
End Function
